Bug 835465 - useradd: cannot lock /etc/passwd; try again later
useradd: cannot lock /etc/passwd; try again later
Status: CLOSED INSUFFICIENT_DATA
Product: Beaker
Classification: Community
Component: tests (Show other bugs)
0.9
x86_64 Linux
high Severity high (vote)
: ---
: ---
Assigned To: Nick Coghlan
MC
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 05:08 EDT by TAO Zhijiang
Modified: 2012-11-07 02:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 02:24:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the output for my jobs (3.24 KB, text/x-log)
2012-06-26 05:08 EDT, TAO Zhijiang
no flags Details

  None (edit)
Description TAO Zhijiang 2012-06-26 05:08:35 EDT
Created attachment 594408 [details]
the output for my jobs

Description of problem:
 In the test case, when useradd some account, the execution failed with return this error 

Version-Release number of selected component (if applicable):


How reproducible:

some times

Steps to Reproduce:
1.
2.
3.
  
Actual results:
id: testa: no such user
useradd: cannot lock /etc/passwd; try again later.

Expected results:
we can add the user successfully.

Additional info:
I've test some rhel7 hosts, they all successful, but my cifs test cases always failed on this step.
on rhel6, never happened this.
Comment 1 Dan Callaghan 2012-10-10 01:27:48 EDT
Do you have any reason to suspect this is a bug in Beaker rather than in the distro?

Can you investigate further to see why useradd things /etc/passwd is locked?
Comment 2 Nick Coghlan 2012-10-17 00:37:16 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 3 Min Shin 2012-11-07 02:24:24 EST
This bugs is closed as it is either not in the current Beaker scope or we could not find sufficient data in the bug report for consideration.
Please feel free to reopen the bug with additional information and/or business cases behind it.

Note You need to log in before you can comment on or make changes to this bug.